# Created by pyp2rpm-3.3.5
%global pypi_name txredisapi

Name:           python-%{pypi_name}
Version:        1.4.7
Release:        1%{?dist}
Summary:        non-blocking redis client for python

License:        http://www.apache.org/licenses/LICENSE-2.0
URL:            http://github.com/IlyaSkriblovsky/txredisapi
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six)
Requires:       python3dist(twisted)
%description -n python3-%{pypi_name}



%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Nov 03 2021 Alexander Manning <mail@alex-m.co.uk> - 1.4.7-1
- Initial package.
