# Created by pyp2rpm-3.3.7
%global pypi_name matrix_common

Name:           python-matrix-common
Version:        1.0.0
Release:        1%{?dist}
Summary:        Common utilities for Synapse, Sydent and Sygnal

License:        None
URL:            https://github.com/matrix-org/matrix-python-common
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(wheel)

%description
 matrix-python-commonCommon utilities for Synapse, Sydent and Sygnal.
Installationshell pip install matrix-common Usageimport matrix_common
DevelopmentIn a virtual environment with pip ≥ 21.1, runpip install -e .[dev]
To run the unit tests, you can either use:tox -e pyortrial tests To run the
linters and mypy type checker, use ./scripts-dev/lint.sh. ReleasingThe exact
steps for releasing will...

%package -n     python3-matrix-common
Summary:        %{summary}
%{?python_provide:%python_provide python3-matrix-common}

Requires:       python3dist(attrs)
%description -n python3-matrix-common
 matrix-python-commonCommon utilities for Synapse, Sydent and Sygnal.
Installationshell pip install matrix-common Usageimport matrix_common
DevelopmentIn a virtual environment with pip ≥ 21.1, runpip install -e .[dev]
To run the unit tests, you can either use:tox -e pyortrial tests To run the
linters and mypy type checker, use ./scripts-dev/lint.sh. ReleasingThe exact
steps for releasing will...


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files matrix_common

%files -n python3-matrix-common -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Tue Jan 18 2022 Alex Manning <mail@alex-m.co.uk> - 1.0.0-1
- Initial package.
